set terminal png

set title 'NQueens heuristics comparison'
set xlabel "n"
set ylabel "time(ms)"

set output "heuristics_comparison.png"

plot "results_opportunist" u 1:2 lt rgb "blue" title '', "results_opportunist" u 1:2 smooth bezier lt rgb "blue" title 'opportunist', "results_failing" u 1:2 lt rgb "red" title '', "results_failing" u 1:2 smooth bezier lt rgb "red" title 'failing'